{#<pagetitle>NHS.UK | Application progress</pagetitle>#}
{% from '../../../common/components/heading/macro.njk' import heading %}
{% from '../../../common/components/input/macro.njk' import input %}
{% from '../../../common/components/button/macro.njk' import button %}
{% from '../../../common/components/p/macro.njk' import p %}
{% from '../../../common/components/link/macro.njk' import link %}

{{ heading({
    subHeading: { text: 'session-expired.section.heading'},
    text:  'session-expired.h1',
    classes: 'nhsuk-heading-l govuk-heading-l',
    locale: locale
}) }}
{{
    link({
      "text": "session-expired.link",
      "href": "/save-claim",
      "arrow": false,
      "classes": "nhsuk-button nhsuk-button--secondary",
      locale: locale
    })
}}

{% for step in steps %}
<table class="nhsuk-table">
	<thead class="nhsuk-table__head" role="rowgroup">
	<tr class="nhsuk-table__row">
		<th class="nhsuk-table__header" scope="col" colspan="2" style="border: 0;"> {{step.name}}</th>
	</tr>
	{% if step.subheading %}
		<tr class="nhsuk-table__row">
			<th class="nhsuk-table__header" scope="col" colspan="2"> {{step.subheading}}</th>
		</tr>
	{% endif %}
	</thead>
	<tbody class="nhsuk-table__body">
	{% for c in step.children %}
		{% if step.body %}
			<tr class="nhsuk-table__row">
				<td colspan="2" style="border-bottom: 0;">{{ step.body }}</td>
			</tr>
		{% endif %}
	<tr class="nhsuk-table__row {{c.name}}">
		<td class="nhsuk-table__cell">
			<a href="{{c.link}}" class="" >{{ c.name }}</a>
		</td>
		<td class="nhsuk-table__cell">
			{% if c.status == "Cannot-start-yet" %}
			<strong class="nhsuk-tag nhsuk-tag--grey" >Can't start yet</strong>
			{% endif %}
			{% if c.status === 'To-do' %}
			<strong class="nhsuk-tag nhsuk-tag--white" >To do</strong>
			{% endif %}
			{% if c.status === 'ToDo' %}
			<strong class="nhsuk-tag nhsuk-tag--white" >To do</strong>
			{% endif %}
			{% if c.status === 'Completed' %}
			<strong class="nhsuk-tag nhsuk-tag--dark-grey" >Completed</strong>
			{% endif %}
		</td>
	</tr>
	{% endfor %}

	</tbody>
</table>

{% endfor %}

{{
    link({
      "text": "common.button.continue",
      "href": "/",
      "arrow": false,
      "classes": "nhsuk-button",
      locale: locale
    })
}}

